メインコンテンツへスキップ
POST
/
2
/
media
/
upload
/
{id}
/
finalize
メディアのアップロードを完了する
curl --request POST \
  --url https://api.x.com/2/media/upload/{id}/finalize \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "1146654567674912769",
    "media_key": "<string>",
    "expires_after_secs": 123,
    "processing_info": {
      "check_after_secs": 123,
      "progress_percent": 123,
      "state": "succeeded"
    },
    "size": 123
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

id
string
必須

完了するメディアの media id。 このメディアの一意の識別子です。

Pattern: ^[0-9]{1,19}$
:

"1146654567674912769"

レスポンス

リクエストは成功しました。

メディアアップロードリクエストのステータス取得に対するレスポンス。

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。